---

- name: Wait for cluster to become ready.
  command: kubectl --kubeconfig {{ kubernetes_cluster_path_kubeconfig }} get po -n kube-system
  register: check_kube_system_pod_action
  retries: 100
  delay: 5
  until:
  - "'Pending' not in check_kube_system_pod_action.stdout"
  - "'ContainerCreating' not in check_kube_system_pod_action.stdout"
  changed_when: false

...
